GET

personaddresses API

Retrieve and manage personaddresses records from the Apps4Edu sync database.

Endpoint Path

GET /api/personaddresses

CURL Example

curl "https://api.apps4education.co.uk/api/personaddresses?api_token=YOUR_TOKEN" \
-H "Accept: application/json"
    

Field Definitions

Field Type
personAddressID int
personID int
addressID int
flatNameNumber varchar
buildingNameNumber varchar
street varchar
locality varchar
town varchar
postCode varchar
startDate datetime
endDate datetime
addressTypeDescription text
administrativeArea varchar
nationalityName varchar
isDiscloseAddress tinyint
addressLine1 text
addressLine2 text
addressLine3 text
addressLine4 text
addressLine5 text
fullAddress text
fullAddressLabel text
trimFullAddress text
tirmFullAddressLabel text
personAddressRemark text
councilTaxReference varchar
uprn varchar
created_at timestamp
updated_at timestamp
school_id bigint

Response Body (Sample)

{
  "data": [
    {
      "personAddressID": 101,
      "personID": 101,
      "addressID": 101,
      "flatNameNumber": "example_value",
      "buildingNameNumber": "example_value",
      "street": "example_value",
      "locality": "example_value",
      "town": "example_value",
      "postCode": "example_value",
      "startDate": "example_value",
      "endDate": "example_value",
      "addressTypeDescription": "example_value",
      "administrativeArea": true,
      "nationalityName": "example_value",
      "isDiscloseAddress": true,
      "addressLine1": "example_value",
      "addressLine2": "example_value",
      "addressLine3": "example_value",
      "addressLine4": "example_value",
      "addressLine5": "example_value",
      "fullAddress": "example_value",
      "fullAddressLabel": "example_value",
      "trimFullAddress": "example_value",
      "tirmFullAddressLabel": "example_value",
      "personAddressRemark": "example_value",
      "councilTaxReference": "example_value",
      "uprn": "example_value",
      "created_at": "example_value",
      "updated_at": "example_value",
      "school_id": "example_value"
    }
  ]
}
                    

Query Parameters

api_token

Required. Your unique API key must be passed as a query string parameter.

school

Optional. A Bromcom school ID to restrict rows to one school.

page

Optional. Defaults to 1. Used to navigate through paginated results.

per_page

Optional. Rows per page, up to 500 (the default). Follow next_page_url for the rest.